Issue 128412 - Opening ODF document from LibreOffice 7 displays error
Summary: Opening ODF document from LibreOffice 7 displays error
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P5 (lowest) Normal with 1 vote (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 97849 (view as issue list)
Depends on:
Blocks:
 
Reported: 2020-11-08 16:18 UTC by oooforum (fr)
Modified: 2020-11-20 17:08 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Error message (17.47 KB, image/png)
2020-11-08 16:18 UTC, oooforum (fr)
no flags Details
Sample ODS to test (13.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-08 16:20 UTC, oooforum (fr)
no flags Details
Dialog with updated text. (17.36 KB, image/png)
2020-11-17 11:43 UTC, Matthias Seidel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description oooforum (fr) 2020-11-08 16:18:31 UTC
Created attachment 86984 [details]
Error message

LibreOffice 7 use ODF 1.3 (experimental) for its documents.
Unable to open it without a wrong error (see attached file).
This message does not match with real issue.
Comment 1 oooforum (fr) 2020-11-08 16:20:24 UTC
Created attachment 86985 [details]
Sample ODS to test

Open this attached file to reproduce
Comment 2 oooforum (fr) 2020-11-08 16:57:58 UTC
*** Issue 97849 has been marked as a duplicate of this issue. ***
Comment 3 tintin60 2020-11-09 08:46:03 UTC
Hi,

I agree and confirm.
Comment 4 Andrea Pescetti 2020-11-15 15:21:37 UTC
Based on discussions from the dev list:

Suggested new text for the error message (target 4.2.0):

This document uses an unsupported version of the Open Document Format.
Some features may not be displayed correctly.

For the actual ODF 1.3 implementation see https://bz.apache.org/ooo/show_bug.cgi?id=128282 instead - this issue only refers to fixing the error message.
Comment 5 Matthias Seidel 2020-11-15 15:37:20 UTC
The dialog itself states "OpenOffice Update Available"

I think that should also be rephrased.

Maybe "OpenDocument Version Conflict"?
Comment 6 Matthias Seidel 2020-11-17 11:43:22 UTC
Created attachment 86987 [details]
Dialog with updated text.

The missing icon is a small regression in trunk/AOO42X
Comment 7 oooforum (fr) 2020-11-20 15:29:25 UTC
Location of this dialog:
https://github.com/apache/openoffice/blob/trunk/main/uui/source/newerverwarn.src
Comment 8 Matthias Seidel 2020-11-20 15:56:43 UTC
(In reply to oooforum (fr) from comment #7)
> Location of this dialog:
> https://github.com/apache/openoffice/blob/trunk/main/uui/source/newerverwarn.
> src

I already did the changes, see my attachment...

If everyone is OK, I will commit it to trunk and AOO42X.
Comment 9 Matthias Seidel 2020-11-20 17:08:45 UTC
Committed to trunk with
https://github.com/apache/openoffice/commit/8b891c74d2f07812252148b870bdc243f025a84a

Cherry-picked for AOO42X with
https://github.com/apache/openoffice/commit/feb8e0e0efce63db308c6984aef6415fd93fee49

This will be immediately visible in en-US builds.

Other languages will need a full translation cycle, so we should leave this issue open until the strings are translated in Pootle.